---
- name: Using a complex vars file
  hosts: localhost
  gather_facts: False

  vars_files:
    - vars/titanvars.yml

  tasks:
  - name: debug with_dict
    debug:
      var: "{{ item }}"
    loop: "{{ prefix_list|dict2items }}"   ## edit this line to include dict2items
    ## the above is a jinja filter
---
- name: Using a complex vars file
  hosts: localhost
  gather_facts: False

  vars_files:
    - vars/titanvars.yml

  tasks:
  - name: debug with_dict
    debug:
      var: "{{ item }}"
    loop: "{{ prefix_list }}"  # this will FAIL because prefixlist is a dictionary

